Bug 219415 - pdflush hangs the system
pdflush hangs the system
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-12 17:57 EST by Zurab Chaya
Modified: 2007-11-16 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-09 15:58:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Zurab Chaya 2006-12-12 17:57:55 EST
Description of problem:
I have system with external storage (IBM TotalStorage 8100) connected.
I have HBA adapters QLA2xxx. I Have 9 volumes formatted as XFS. Each volume is
526 GB size. System lockouts on heavy IO, when I'm transferring large files more
then 1.5Gb. Pdflush eats 100% of CPU and hangs the system.


Version-Release number of selected component (if applicable):
2.6.9- kernels

How reproducible:
Connect server with 1 fibre connection to storage and make 2 XFS volumes at
least and begin large file transfer between them.

  
Actual results:

System locksout and only hard reset helps.
Comment 1 Jason Baron 2007-02-09 15:58:30 EST
We don't support xfs in rhel4. 
Comment 2 Eric Sandeen 2007-02-09 16:16:31 EST
If you can reproduce w/a supported RHEL filesystem feel free to reopen;
otherwise you might ping the xfs@oss.sgi.com list with the problem, although
this kernel is getting a bit old, as may be the xfs codebase you have, so they
may just suggest that you upgrade.

Note You need to log in before you can comment on or make changes to this bug.